from django.db import models
from django.core.validators import MaxValueValidator

class Entrenador(models.Model):
    nombre = models.CharField(max_length=200)

    def __str__(self):
        return self.nombre

class Deportista(models.Model):
    nombre = models.CharField(max_length=200)
    entrenador = models.ForeignKey(Entrenador, on_delete=models.CASCADE)
    
    def __str__(self):
        return self.nombre


class Macrociclo(models.Model):
    TIPOS= [
        ('REG', 'REG'),
        ('ATR', 'ATR'),
        ('ACE', 'ACE')
    ]

    nombre = models.CharField(max_length=200)
    tipo = models.CharField(choices=TIPOS, max_length=3)

    desde = models.DateField()
    hasta = models.DateField()
    deportista = models.ForeignKey(Deportista, on_delete=models.CASCADE)
    entrenador = models.ForeignKey(Entrenador, on_delete=models.CASCADE)
    
    def __str__(self):
        return str(self.nombre)
